import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { LinkedInLoginComponent } from './linkedin-login/linkedin-login.component';
import { LoginComponent } from './login.component';
import { LoginRoutingModule } from './login.routing';
import { TwitterLoginComponent } from './twitter-login/twitter-login.component';
import { LoginService } from './utilities/login.service';
import { B2AccessLoginComponent } from './b2access/b2access-login.component';
import { OrcidLoginComponent } from './orcid-login/orcid-login.component';
import { EmailConfirmation } from './email-confirmation/email-confirmation.component';
import { OpenAireLoginComponent } from "./openaire-login/openaire-login.component";
import { ConfigurableLoginComponent } from "./configurable-login/configurable-login.component";
import { ConfigurableProvidersService } from "./utilities/configurableProviders.service";

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		LoginRoutingModule
	],
	declarations: [
		LoginComponent,
		LinkedInLoginComponent,
		TwitterLoginComponent,
		B2AccessLoginComponent,
		OrcidLoginComponent,
		EmailConfirmation,
		OpenAireLoginComponent,
		ConfigurableLoginComponent
	],
	providers: [LoginService, ConfigurableProvidersService]
})
export class LoginModule { }
